
class BannerEntity {

	String id;
	String image;
	int serialNo;
	int type;
	String url;

	BannerEntity({this.image,this.url="http://www.edtyun.com"});

	BannerEntity.fromJsonMap(Map<String, dynamic> map):
				id = map["id"],
				image = map["image"],
				serialNo = map["serialNo"],
				type = map["type"],
				url = map["url"]??"";

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['id'] = id;
		data['image'] = image;
		data['serialNo'] = serialNo;
		data['type'] = type;
		data['url'] = url;
		return data;
	}
}
